## org.apache.mahout.text.wikipedia
Class WikipediaAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.util.StopwordAnalyzerBase
              org.apache.mahout.text.wikipedia.WikipediaAnalyzer

All Implemented Interfaces:
  Closeable

    public class WikipediaAnalyzer

extends org.apache.lucene.analysis.util.StopwordAnalyzerBase

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`org.apache.lucene.analysis.Analyzer.GlobalReuseStrategy, org.apache.lucene.analysis.Analyzer.PerFieldReuseStrategy, org.apache.lucene.analysis.Analyzer.ReuseStrategy, org.apache.lucene.analysis.Analyzer.TokenStreamComponents`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`matchVersion, stopwords`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

Constructor Summary
`WikipediaAnalyzer()`
`WikipediaAnalyzer(org.apache.lucene.analysis.util.CharArraySet stopSet)`

Method Summary
`protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, tokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikipediaAnalyzer

    public WikipediaAnalyzer()

### WikipediaAnalyzer

    public WikipediaAnalyzer(org.apache.lucene.analysis.util.CharArraySet stopSet)

Method Detail

### createComponents

    protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                                                         Reader reader)

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.Analyzer`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.